export type MutexFn = (free_callback: () => void, locked_callback?: () => void) => void;
/**
 * Creates a callback function that can be used to emulate a mutex,
 * very useful for ensuring text operations are applied in order
 * */
export declare const createMutex: () => MutexFn;
