/**
 * Un indents a template string
 * Removes the minimum indentation from the template string
 * @example
 * undent`
 *  Hello
 *   World
 * ` // Returns "Hello\n World"
 * @param strings Template strings
 * @param interps Interpolations
 * @returns Unindented string
 */
export declare function undent(strings: TemplateStringsArray, ...interps: string[]): string;
