import { BaseNode } from "./TreeNode";
export declare class OutOfSyncError extends Error {
    constructor(message: string);
}
/**
 * An invariant asserting that a node exists as expected.
 * A failed assertion will throw an {@link OutOfSyncError}.
 * */
export declare function nodeExists(node: BaseNode | undefined, errorMessage: string): asserts node is BaseNode;
